APINetwork management

List server allocations

Returns a list of all network allocations assigned to the server

Returns a list of all network allocations assigned to the server

GET
/api/client/servers/{server}/network/allocations

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server UUID

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/network/allocations"
{
  "object": "list",
  "data": [
    {
      "object": "allocation",
      "attributes": {
        "id": 0,
        "ip": "string",
        "ip_alias": "string",
        "port": 0,
        "notes": "string",
        "is_default": true
      }
    }
  ]
}
Empty
Empty
Empty